Page MenuHomePhabricator

Cleanup deleted archive thumbnails
Closed, DeclinedPublic

Description

Code has been fixed in bug 30192, and will be back ported to 1.18

Although they aren't doing any harm, it might be worth clearing up the thumbnail directories to delete thumbnails where the archived revision of the image has been deleted


Version: unspecified
Severity: normal

Details

Reference
bz30786

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 11:48 PM
bzimport set Reference to bz30786.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Sep 6 2011, 9:21 PM

russnelson wrote:

Fixed in r96375.

(In reply to comment #1)

Fixed in r96375.

I think Sam meant to ask ops to delete old thumbs on our cluster?

(In reply to comment #2)

(In reply to comment #1)

Fixed in r96375.

I think Sam meant to ask ops to delete old thumbs on our cluster?

I think so, because this bug is filled under Wikimedia/SiteRequest with ops/shell

russnelson wrote:

Oh! Yes, of course, I see that interpretation now. What's the best way to do that? Go through the thumb subdir looking for empty directories? Or query the database for deleted archived files? Probably the latter, since the former is just a proxy for the latter.

tagging bugs for Marcus to look at

Was scheduled for 1.18 deployment. Not sure if it was done in the mean time, if not, adding to 1.20wmf3. Please clear milestone if it was already done.

Reedy added a comment.May 11 2012, 3:34 AM

There's no script written to do this

aaron added a comment.May 11 2012, 3:48 AM

These thumbs will fall off when we switch to Swift and stop using NFS.